package com.diagbot.process;

import com.diagbot.dto.BillMsg;
import com.diagbot.dto.BillNeoDTO;
import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.facade.NeoFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 高风险总入口
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class HighRiskProcess {

    @Autowired
    NeoFacade neoFacade;

    public void process(List<BillNeoDTO> billNeoDTOList, WordCrfDTO wordCrfDTO, IndicationDTO res) {
        for (BillNeoDTO billNeoDTO : billNeoDTOList) {
            if (billNeoDTO.getDrugBillNeoDTO() != null) {
                // TODO
                if (true) {
                    getHighRiskMsg(billNeoDTO, "药品", res);
                }
            } else if (billNeoDTO.getLisBillNeoDTO() != null) {
                // TODO
                getHighRiskMsg(billNeoDTO, "手术", res);
            }
        }
    }

    /**
     *
     * @param billNeoDTO
     * @param type
     * @param res
     */
    public void getHighRiskMsg(BillNeoDTO billNeoDTO, String type, IndicationDTO res) {
        BillMsg billMsg = new BillMsg();
        billMsg.setMsg(billNeoDTO.getName() + "为高风险要" + type + "，请留意");
        billMsg.setOrderName(billNeoDTO.getName());
        billMsg.setOrderStandName(billNeoDTO.getStandname());
        billMsg.setType(type);
        res.getHighRiskList().add(billMsg);
    }
}
